Unit tde92e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE92E_p, DE92E_p;

function tde92e: String;

implementation

function tde92e: String;
var
M,JSTART,IH,IERR :Integer;
Y,X,XP,HMIN,EPS,P,Y4,T1,Y3,T2,AA,BB,C,Y2,T3,DD,FF,GG,QQ,Y1,H :Extended;
BUL :Boolean;
YX :Array [0..3] of Extended;
YP :Array [0..3] of Extended;
A :Array [0..15] of Extended;
A1 :Array [0..15] of Extended;
A2 :Array [0..15] of Extended;
RAB :Array [0..15] of Extended;
R1 :Array [0..3] of Extended;
R2 :Array [0..3] of Extended;
YD :Array [0..3] of Extended;
label
_100,_101,_102,_103,_104,_105,_106;
begin
Result := '';  {   }
M := 4;
X := 0.e0;
YX[0] := 1.e0;
YX[1] := 1.e0;
YX[2] := 1.e0;
YX[3] := 1.e0;
HMIN := 1.e-10;
EPS := 1.e-5;
P := 1.e3;
JSTART := 0;
H := 0.01e0;
IH := 0;
_100:
IH := IH + 1;
DE92E (FDE92E,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,A,A1,
     A2,RAB,R1,R2,YD,IERR);
{  BCEHE TOHOO PEEH CCTEM: }
Y4 := Exp(-0.1e0*X);
T1 := Exp(-X);
Y3 := -(9.1e0/0.9e0)*T1 + (10.e0/0.9e0)*Y4;
T2 := Exp(-1.e3*X);
AA := -91.e0/(0.9e0*999.e0);
BB := 91.e0/(0.9e0*999.9e0);
C := 1.e0-AA-BB;
Y2 := C*T2+AA*T1+BB*Y4;
T3 := Exp(-1.e4*X);
DD := C/90.e0;
FF := (100.e0*AA+91.e0/0.9e0)/9999.e0;
GG := (100.e0*BB-100.e0/0.9e0+1.e0)/9999.9e0;
QQ := 1.e0-DD-FF-GG;
Y1 := QQ*T3+DD*T2+FF*T1+GG*Y4;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y1,Y2]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y3,Y4]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[YX[0],YX[1]]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[YX[2],YX[3]]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[X,H]) + #$0D#$0A;
case IH of
 1: goto _101;
 2: goto _102;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _106;
end;
_101:
H := 1.e-8;
goto _100;
_102:
EPS := 1.e-2;
goto _100;
_103:
JSTART := -1;
EPS := 1.e-5;
goto _100;
_104:
JSTART := -1;
H := -1.e-8;
goto _100;
_105:
H := 1.e-2;
goto _100;
_106:
UtRes('tde92e',Result);  {     tde92e.res }
exit;
end;

end.
